Crashes when trying to resume node editing after a rollback

2013-12-09 06:40 AM - Graham Ford

Status: Closed

Priority: High

Assignee: Alvaro Huarte

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows XP Pro Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 17810

Description

Repeatable crash!  I'm using QGIS version 2.0.1 - Dufour, code revision ebebdf3.  To create crash I do this:

Start QGIS, open the Lakes.shp vector data provided with QGIS, Zoom in to one of the lakes, toggle editing on, choose the Node Tool,

select one node, drag the node and drop it, choose Rollback for selected layers,(Edited polygon returns to original state), click on a node

(nothing happens), click on the node again - Crash!

Message appears headed "Crash Dumped" saying Minidump written to C:......

NB I'm a QGIS newbie, so apologies if I'm doing something stupid!

History

#1 - 2013-12-09 08:43 AM - Alvaro Huarte

- Assignee set to Alvaro Huarte

I get same crash in QGIS master.

I think that 'node tool' does not releases its 'QgsSelectedFeature' member after rollback an edition.

I will try fix it!

Regards

#2 - 2013-12-09 01:07 PM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

Done:

https://github.com/qgis/QGIS/pull/1024

#3 - 2013-12-10 02:06 AM - Alvaro Huarte

- Crashes QGIS or corrupts data changed from No to Yes

- % Done changed from 0 to 100

#4 - 2013-12-10 02:09 AM - Alvaro Huarte

- Resolution set to fixed/implemented

#5 - 2013-12-18 08:14 AM - Denis Rouzaud

- Status changed from Open to Closed
